%define name		smb4k
%define ver		0.5.1
%define rel	 	1

# compatability macros
%{?!mkver:%define mkver(r:) %{-r:%(perl -e '$_="%{1}";m/(((\\d\\.?)+)(\\w\*))(.\*)/;$pre=$4;print "0.$pre." if $pre =~ /\\w\{2,\}/;print "%{-r*}"')}%{!-r:%(perl -e '$_="%{1}";m/(((\\d\\.?)+)(\\w\*))(.\*)/;$pre=$4;print "$2";print $pre if $pre !~ /\\w{2,}/')}}
%{?!mkrel:%define mkrel(c:) %{-c:0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*)(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}

%{?!_with_unstable: %{error:%(echo -e "\n\n\nYou are building package for a stable release, please see \nhttp://qa.mandrakesoft.com/twiki/bin/view/Main/DistroSpecificReleaseTag\nif you think this is incorrect\n\n\n ")}%(sleep 2)}

%define relpre %mkver -r %rel %ver
%define release %mkrel %relpre
%define version %mkver %ver

%define __libtoolize /bin/true

Summary:	A KDE SMB share browser
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source:		http://ftp.berlios.de/pub/smb4k/%{name}-%{ver}.tar.bz2
License:	GPL
Group:		Networking/Other
Url:		http://smb4k.berlios.de
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	samba-client
BuildRequires:	kdelibs-devel
BuildRequires:	autoconf2.5

%description
An SMB network and share browser for KDE 3.1 or later.

%prep
%setup -q -n %{name}-%{ver}

%build
%configure2_5x \
		--disable-debug \
		--enable-shared \
		--disable-static \
		--disable-rpath \
		--enable-final

%make

%install
rm -Rf %{buildroot}

%makeinstall_std

# Menu
mkdir -p %{buildroot}/%{_menudir}
kdedesktop2mdkmenu.pl smb4k "Internet/File Transfer" %{buildroot}/%{_datadir}/applications/kde/smb4k.desktop %{buildroot}/%{_menudir}/smb4k

# Icons
mkdir -p %{buildroot}/{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
ln -s %{_iconsdir}/crystalsvg/16x16/apps/%{name}.png %{buildroot}/%{_miconsdir}
ln -s %{_iconsdir}/crystalsvg/32x32/apps/%{name}.png %{buildroot}/%{_iconsdir}
ln -s %{_iconsdir}/crystalsvg/48x48/apps/%{name}.png %{buildroot}/%{_liconsdir}

# Fix KDE's absolute symlinks
pushd %{buildroot}/%{_defaultdocdir}/HTML/en/%{name}
mkdir -p ../common
ln -sf ../common
popd

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/%{name}*
%{_menudir}/%{name}
%{_datadir}/applications/kde/smb4k.desktop
%{_datadir}/apps/smb4k
%{_datadir}/doc/HTML/en/smb4k
%{_iconsdir}/crystalsvg/*/apps/smb4k.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Thu Feb 17 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.5.1-1mdk
- 0.5.1

* Wed Jan 12 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.0--r 1 0.5.0
- 0.5.0

* Tue Dec 21 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.5.0-0.pre3.1mdk
- 0.5.0pre3
- implement distro-specific release tag and use mkver for pre-version
  handling

* Fri Aug 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.0-3mdk
- Rebuild with new menu conversion table

* Fri Jun  4 2004  <lmontel@n2.mandrakesoft.com> 0.4.0-2mdk
- Rebuild

* Fri May 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.0-1mdk
- 0.4.0

* Tue Apr 13 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.3.2-3mdk
- require samba-client (#9481)
- drop unused libsmbclient-devel buildrequires

* Wed Feb 18 2004 David Baudens <baudens@mandrakesoft.com> 0.3.2-2mdk
- Fix menu

* Tue Feb 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-1mdk
- from Diego CLAEYS (Romax MANIAX) :
	- Update to new version 0.3.2

* Wed Jan 07 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.3.1-2mdk
- Texstar->Mandrake
- Cleanups

* Thu Nov 19 2003 Texstar
- Change name in menu to Local Network Browser
- Update to new version 0.3.1

* Thu Oct 23 2003 Texstar
- Update to version 0.3.0a

* Sat Jun 28 2003 Texstar
- New update to fix win98 share lookup

* Fri Jun 27 2003 Texstar
- New Release bug fixes

* Sat Jun 14 2003 Texstar
- Rebuild without libsmbclient rpms installed

* Fri Jun 13 2003 Texstar
- Initial Build for Mandrake 9.1
